﻿namespace StackDeck.ViewModels
{
    using System.ComponentModel.Composition;

    using StackDeck.Model;

    public class ColumnFactory : IColumnFactory
    {
        private readonly IStackOverflowRepository stackOverflowRepository;

        [ImportingConstructor]
        public ColumnFactory(IStackOverflowRepository stackOverflowRepository)
        {
            this.stackOverflowRepository = stackOverflowRepository;
        }

        public IColumn NewCoreColumn()
        {
            return new CoreTopUsersViewModel(stackOverflowRepository);
        }
    }
}